Your achievements

Level 1

0% to

Level 2

Tip /
Sign in

Sign in to Community

to gain points, level up, and earn exciting badges like the new
Bedrock Mission!

Learn more

View all

Sign in to view all badges

SOLVED

Dependency exception in CRX package manager

Prince_Shivhare
Community Advisor
Community Advisor

Hi Team,

 

I am getting the below error when trying to install the package of CIF virtual catalog and connector.

 

Can someone please help me here?

Prince_Shivhare_0-1613846969647.png

 

Prince_Shivhare_1-1613847021784.png

 

@mhaack @dgordon86 

Topics

Topics help categorize Community content and increase your ability to discover relevant content.

1 Accepted Solution
Jörg_Hoh
Correct answer by
Employee
Employee

You should install the commerce-content-package first.

View solution in original post

0 Replies
Jörg_Hoh
Correct answer by
Employee
Employee

You should install the commerce-content-package first.

View solution in original post

Prince_Shivhare
Community Advisor
Community Advisor
from where I can download this package jorg ?
Ankur_Khare
Community Advisor
Community Advisor

As jorg mentioned dependencies you need to install first-

 

Please refer below link for all the packages required-

 

https://github.com/adobe/commerce-cif-connector

 

Prince_Shivhare
Community Advisor
Community Advisor

This package is giving an error which I mentioned above.
it contains this two packages which I have given in the screenshot.

 

Prince_Shivhare_0-1613890844797.png

 

Ankur_Khare
Community Advisor
Community Advisor

Hi, Please install all package , i just cloned the code and build the same and installed the package under all -

 

Ankur_Khare_0-1613907293002.png

 

Ankur_Khare_1-1613907328207.png

 

Able to install the content package.

Hope it helps.

 

Prince_Shivhare
Community Advisor
Community Advisor

I am still seeing the error. I am using AEM as a cloud.

 

Prince_Shivhare_0-1613913020629.png

not able to install cif-connector-all as well, it is giving error too for virtual catalog dependency.

Ankur_Khare
Community Advisor
Community Advisor

Kindly read the readme file it's mentioned clearly that it wont work on aem as a cloud service-

Attention: This project is for AEM 6.4/6.5 projects only and works with AEM quickstart. It is not intended to be used for AEM as a Cloud Service or with the AEM Cloud SDK. For using CIF on AEM as a Cloud Service see AEM Commerce as a Cloud Service documentation.